Returns a list of all conversations matching the search criteria along with the sort and filter options selected.

http
GET https://services.leadconnectorhq.com/conversations/search

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesABCHkzuJQ8ZMd4Te84GKAccount Id
contactIdstringNo9VEmS0si86GW6gXWU89bContact Id
assignedTostringNoABCHkzuJQ8ZMd4Te84GK,fGiae4CHkzoskh8thsikUser IDs that conversations are assigned to. Multiple IDs can be provided as comma-separated values. Use "unassigned" to fetch conversations not assigned to any user.
followersstringNoABCHkzuJQ8ZMd4Te84GK,fGiae4CHkzoskh8thsikUser IDs of followers to filter conversations by. Multiple IDs can be provided as comma-separated values.
mentionsstringNoABCHkzuJQ8ZMd4Te84GK,fGiae4CHkzoskh8thsikUser Id of the mention. Multiple values are comma separated.
querystringNoSearch stringSearch paramater as a string
sortstringNoascSort paramater - asc or desc
startAfterDateanyNo1600854Search to begin after the specified date - should contain the sort value of the last document
idstringNoABCHkzuJQ8ZMd4Te84GKId of the conversation
limitnumberNo20Limit of conversations - Default is 20
lastMessageTypestringNoTYPE_SMSType of the last message in the conversation as a string
lastMessageActionstringNomanualAction of the last outbound message in the conversation as string.
lastMessageDirectionstringNoinboundDirection of the last message in the conversation as string.
statusstringNoallThe status of the conversation to be filtered - all, read, unread, starred
sortBystringNolast_message_dateThe sorting of the conversation to be filtered as - manual messages or all messages
sortScoreProfilestringNoABCHkzuJQ8ZMd4Te84GKId of score profile on which sortBy.ScoreProfile should sort on
scoreProfilestringNoABCHkzuJQ8ZMd4Te84GKId of score profile on which conversations should get filtered out, works with scoreProfileMin & scoreProfileMax
scoreProfileMinnumberNoABCHkzuJQ8ZMd4Te84GKMinimum value for score
scoreProfileMaxnumberNoABCHkzuJQ8ZMd4Te84GKMaximum value for score
startDatenumberNo1640995200000Start date filter for dateAdded field (Unix timestamp in milliseconds)
endDatenumberNo1672531199000End date filter for dateAdded field (Unix timestamp in milliseconds)

Responses

200 - Successfully fetched the conversations
  • conversations (object[], required): The list of all conversations found for the given query

    • id (string, required): Conversation Id Example: ABCHkzuJQ8ZMd4Te84GK

    • contactId (string, required): Contact Id Example: ABCHkzuJQ8ZMd4Te84GK

    • locationId (string, required): Account Id Example: ABCHkzuJQ8ZMd4Te84GK

    • lastMessageBody (string, required): Content of the most recent message in the conversation Example: This is a sample message body

    • lastMessageType (string, required): Channel/type of the most recent message (SMS, Email, Call, etc) Possible values: 'TYPE_CALL', 'TYPE_SMS', 'TYPE_RCS', 'TYPE_EMAIL', 'TYPE_SMS_REVIEW_REQUEST', 'TYPE_WEBCHAT', 'TYPE_SMS_NO_SHOW_REQUEST', 'TYPE_CAMPAIGN_SMS', 'TYPE_CAMPAIGN_CALL', 'TYPE_CAMPAIGN_EMAIL', 'TYPE_CAMPAIGN_VOICEMAIL', 'TYPE_FACEBOOK', 'TYPE_CAMPAIGN_FACEBOOK', 'TYPE_CAMPAIGN_MANUAL_CALL', 'TYPE_CAMPAIGN_MANUAL_SMS', 'TYPE_GMB', 'TYPE_CAMPAIGN_GMB', 'TYPE_REVIEW', 'TYPE_INSTAGRAM', 'TYPE_WHATSAPP', 'TYPE_CUSTOM_SMS', 'TYPE_CUSTOM_EMAIL', 'TYPE_CUSTOM_PROVIDER_SMS', 'TYPE_CUSTOM_PROVIDER_EMAIL', 'TYPE_IVR_CALL', 'TYPE_ACTIVITY_CONTACT', 'TYPE_ACTIVITY_INVOICE', 'TYPE_ACTIVITY_PAYMENT', 'TYPE_ACTIVITY_OPPORTUNITY', 'TYPE_LIVE_CHAT', 'TYPE_LIVE_CHAT_INFO_MESSAGE', 'TYPE_ACTIVITY_APPOINTMENT', 'TYPE_FACEBOOK_COMMENT', 'TYPE_INSTAGRAM_COMMENT', 'TYPE_CUSTOM_CALL', 'TYPE_INTERNAL_COMMENT', 'TYPE_ACTIVITY_EMPLOYEE_ACTION_LOG', 'TYPE_TIKTOK', 'TYPE_TIKTOK_COMMENT', 'TYPE_ACTIVITY_WHATSAPP', 'TYPE_FORM_SUBMISSION', 'TYPE_SMS_REACTION' Example: TYPE_SMS

    • type (string, required): Primary channel/type of the conversation (Phone, Email, etc) Possible values: 'TYPE_PHONE', 'TYPE_EMAIL', 'TYPE_FB_MESSENGER', 'TYPE_REVIEW', 'TYPE_GROUP_SMS' Example: TYPE_PHONE

    • unreadCount (number, required): Number of unread messages in this conversation Example: 1

    • fullName (string, required): Complete name of the contact (first and last name) Example: John Doe

    • contactName (string, required): Alternative display name for the contact - used when full name is not available Example: John Doe Company

    • email (string, required): Primary email address of the contact Example: johndoe@mailingdomain.com

    • phone (string, required): Primary phone number of the contact Example: +15550001234

  • total (number, required): Total Number of results found for the given query Example: 100

json
{
  "conversations": [
    {
      "id": "ABCHkzuJQ8ZMd4Te84GK",
      "contactId": "ABCHkzuJQ8ZMd4Te84GK",
      "locationId": "ABCHkzuJQ8ZMd4Te84GK",
      "lastMessageBody": "This is a sample message body",
      "lastMessageType": "TYPE_SMS",
      "type": "TYPE_PHONE",
      "unreadCount": 1,
      "fullName": "John Doe",
      "contactName": "John Doe Company",
      "email": "johndoe@mailingdomain.com",
      "phone": "+15550001234"
    }
  ],
  "total": 100
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/conversations/search' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?